Release Date

7th September 2021.

Overview

Due to a vulnerability in the Go net/http/httputil package, a malicious HTTP client could exploit a race condition to force an application restart.

Affected Products

  • Ava Aware:
    • All Stable upgrade channel versions before 4.0.5.
    • All Beta upgrade channel versions before 4.1.3.

Unaffected Products

  • Ava Aware:
    • All Stable upgrade channel versions after and including 4.0.5.
    • All Beta upgrade channel versions after and including 4.1.3.
  • Ava Cameras: all versions.
  • Ava Cloud: all versions.

Resolution

This issue has been fixed in Ava Aware Beta upgrade channel version 4.1.3 and Stable upgrade channel version 4.0.5.

It is strongly recommended that all installations running an affected version are upgraded to the latest release as soon as possible. Releases are available to download through the Ava Aware User Interface.

Vulnerability Information

Mitigations

There are no known mitigations for this issue.

Work arounds

There are no known work arounds for this issue.

Acknowledgements

Issue found, and reported to the Go team, by Andrew Crump.

Disclosure Timeline

  • 05/08/2021 Issue found by Andrew Crump
  • 05/08/2021 Root cause established
  • 23/08/2021 Fix identified
  • 24/08/2021 Patched Ava Aware (Beta upgrade channel) released
  • 26/08/2021 Patched Ava Aware (Stable upgrade channel) released
  • 26/08/2021 Preliminary vulnerability advisory published
  • 07/09/2021 Vulnerability publicly disclosed